/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jsfbean;

import entities.Customer;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import javax.ejb.EJB;
import javax.inject.Named;
import javax.faces.view.ViewScoped;
import org.primefaces.model.LazyDataModel;
import org.primefaces.model.SortOrder;
import session.CustomerManager;

/**
 *
 * @author mbuffa
 */
@Named
@ViewScoped
public class CustomerMBean implements Serializable {

    @EJB
    private CustomerManager customerManager;

    /**
     * Creates a new instance of NewJSFManagedBean
     */
    public CustomerMBean() {
        System.out.println("JSF Bean construit");
    }

    public String getNom() {
        System.out.println("Dans getNom");
        return "tata";
    }

    LazyDataModel<Customer> customersLazy = new LazyDataModel<Customer>() {
        @Override
        public List load(int first, int nb, String columnName, SortOrder so, Map filter) {
            System.out.println("### " + columnName + " ordre de tri : " + so);
  
            // Ici coder un select qui va chercher nb clients à partir de first
          
            return customerManager.getAllCustomers(first, nb, so.toString());
        }

        ;

        @Override
        public int getRowCount() {
            int nb = customerManager.getNbCustomers();
            //System.out.println("nb = " + nb);
            return nb;
        }
    };

    public LazyDataModel getAllCustomers() {
        return customersLazy;
    }

}
